Subject: Re: [PATCH] xmerge.c: fix xdl_merge to conform with the manual

From: Junio C Hamano <[email-masked]>
Date: Sun, 08 Mar 2015 00:06:49 -0800

Anton Trunov <[email-masked]> writes:

> On 04/03/15 23:01, Junio C Hamano wrote:
>
> My apologies for pushing this topic, but what would you recommend?
> Should we treat both sides line-wise or should we correct the documentation?

My gut feeling is that the change to swap which side is examined
first would end up to be a patch to rob Peter to pay Paul, and a
line-by-line approach might end up paying too expensive a runtime
cost in practice (and it should not really matter which side's
whitespace the end result matches, because the user says "I do not
care about whitespace changes", so paying that cost is not something
we would want to do).  So it may be that the best course of action
may be documentation updates.

But I haven't had a chance to think about it through yet to form a
definite opinion.

Thanks.